Package com.tietoenator.trip.jxp.ccl

# Enum Class TdbCclCommandType

java.lang.Object
java.lang.Enum<TdbCclCommandType>
com.tietoenator.trip.jxp.ccl.TdbCclCommandType

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbCclCommandType>`, `Constable`

public enum TdbCclCommandType extends Enum<TdbCclCommandType>
Enumeration of CCL command types

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Abort`
  The user has attempted to quit their search session
  `HistoryReplace`
  The command caused the user's search history to be completely replaced.
  `HistoryUpdate`
  The command caused an update to the user's search history.
  `Misc`
  No specific post processing required, commands of this type may yield messages
  `Output`
  The command created output of some kind.
  `TermList`
  The command created a list of terms, i.e. a normal or mapped Display.
  `TermTree`
  The command created a hierarchical set of terms, i.e. a thesaurus Display.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TdbCclCommandType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbCclCommandType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Misc

    public static final TdbCclCommandType Misc
    No specific post processing required, commands of this type may yield messages

  - ### HistoryUpdate

    public static final TdbCclCommandType HistoryUpdate
    The command caused an update to the user's search history. One or more objects of type TdbHistoryDetail are available to summarize the changes by using TdbCclCommand.getHistoryUpdates()

  - ### HistoryReplace

    public static final TdbCclCommandType HistoryReplace
    The command caused the user's search history to be completely replaced. Applications should use TdbCclCommand.getHistoryUpdates() to retrieve the new content of the search history.

  - ### TermList

    public static final TdbCclCommandType TermList
    The command created a list of terms, i.e. a normal or mapped Display.
    Any TdbTermList mapped into the command interpreter will have been updated with the list in question.

  - ### TermTree

    public static final TdbCclCommandType TermTree
    The command created a hierarchical set of terms, i.e. a thesaurus Display.
    Any TdbTermTree mapped into the command interpreter will have been updated with the tree(s) in question.

  - ### Output

    public static final TdbCclCommandType Output
    The command created output of some kind. Use TdbCclCommand.getAffectedWindow() to retrieve the appropriate kernel window instance.

  - ### Abort

    public static final TdbCclCommandType Abort
    The user has attempted to quit their search session

- ## Method Details

  - ### values

    public static TdbCclCommandType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbCclCommandType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null